Skip to main content
`Ctrl`+`K`
scipy.signal.

# lp2lp

scipy.signal.lp2lp(b, a, wo=1.0)

  Transform a lowpass filter prototype to a different frequency.

  Return an analog low-pass filter with cutoff frequency wo from an analog low-pass filter prototype with unity cutoff frequency, in transfer function (‘ba’) representation.

  Parameters:
    b array_like

      Numerator polynomial coefficients.

    a array_like

      Denominator polynomial coefficients.

    wo float

      Desired cutoff, as angular frequency (e.g. rad/s). Defaults to no change.

  Returns:
    b array_like

      Numerator polynomial coefficients of the transformed low-pass filter.

    a array_like

      Denominator polynomial coefficients of the transformed low-pass filter.

  See also

  `lp2hp`, `lp2bp`, `lp2bs`, `bilinear`
  `lp2lp_zpk`

  Notes

  This is derived from the s-plane substitution

  \[s \rightarrow \frac{s}{\omega_0}\]

  Examples

      >>> from scipy import signal
      >>> import matplotlib.pyplot as plt

      >>> lp = signal.lti([1.0], [1.0, 1.0])
      >>> lp2 = signal.lti(*signal.lp2lp(lp.num, lp.den, 2))
      >>> w, mag_lp, p_lp = lp.bode()
      >>> w, mag_lp2, p_lp2 = lp2.bode(w)

      >>> plt.plot(w, mag_lp, label='Lowpass')
      >>> plt.plot(w, mag_lp2, label='Transformed Lowpass')
      >>> plt.semilogx()
      >>> plt.grid(True)
      >>> plt.xlabel('Frequency [rad/s]')
      >>> plt.ylabel('Amplitude [dB]')
      >>> plt.legend()